package habibviewer.pgm;

import java.awt.image.ColorModel;

/**
 * Created by IntelliJ IDEA.
 * User: pawel
 * Date: 2004-09-10
 * Time: 17:23:28
 * To change this template use File | Settings | File Templates.
 */

class ColorModelPGM extends ColorModel {
    private int maxGray;

    public ColorModelPGM(int maxGray) {
        super(8);
        this.maxGray = maxGray;
    }

    public int getRed(int pixel) {
        return pixel * 255 / maxGray;
    }

    public int getGreen(int pixel) {
        return pixel * 255 / maxGray;
    }

    public int getBlue(int pixel) {
        return pixel * 255 / maxGray;
    }

    public int getAlpha(int pixel) {
        return 255;
    }
}

